<html devsite><head>
    <title>Бюллетень по безопасности Android – июнь 2016 г.</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>Опубликовано 6 июня 2016 г. | Обновлено 8 июня 2016 г.</em></p>

<p>В этом бюллетене содержится информация об уязвимостях в защите устройств Android. К его выходу мы выпустили автоматическое обновление системы безопасности для устройств Google и опубликовали образы встроенного ПО Nexus на <a href="https://developers.google.com/android/nexus/images">сайте для разработчиков</a>.
Все актуальные проблемы, перечисленные здесь, устранены в исправлении от 1 июня 2016 года или более новом. Информацию о том, как проверить обновления системы безопасности, можно найти в <a href="https://support.google.com/nexus/answer/4457705#nexus_devices">Справочном центре</a>.</p>

<p>Мы сообщили партнерам о проблемах, описанных в бюллетене, 2 мая 2016 года или ранее. Исправления уязвимостей доступны в хранилище Android Open Source Project (AOSP).</p>

<p>Самая серьезная из этих проблем – критическая уязвимость, которая позволяет удаленно выполнять код на пораженном устройстве (например, при работе с электронной почтой, просмотре сайтов в Интернете или обработке медиафайлов MMS). <a href="/security/overview/updates-resources.html#severity">Уровень серьезности</a> зависит от того, какой ущерб будет нанесен устройству при атаке с использованием уязвимости, если средства защиты будут отключены разработчиком или взломаны.</p>

<p>У нас нет информации о том, что обнаруженные уязвимости эксплуатировались. В разделе <a href="#mitigations">Предотвращение атак</a> описывается, как <a href="/security/enhancements/index.html">платформа безопасности</a> и средства защиты сервисов, например SafetyNet, помогают снизить вероятность атак на Android.</p>

<p>Мы рекомендуем всем пользователям установить перечисленные здесь обновления.</p>

<h2 id="mitigations">Предотвращение атак</h2>

<p>Ниже рассказывается, как <a href="/security/enhancements/index.html">платформа безопасности</a> и средства защиты сервисов, например SafetyNet, позволяют снизить вероятность атак на Android.</p>

<ul>
  <li> В новых версиях Android сложнее использовать многие уязвимости, поэтому мы рекомендуем всем пользователям своевременно обновлять систему.
  </li><li> Команда, отвечающая за безопасность Android, активно отслеживает злоупотребления с помощью <a href="http://static.googleusercontent.com/media/source.android.com/en//security/reports/Google_Android_Security_2015_Report_Final.pdf">Проверки приложений и SafetyNet</a>. Эти сервисы предупреждают пользователя об установке <a href="http://static.googleusercontent.com/media/source.android.com/en//security/reports/Google_Android_Security_PHA_classifications.pdf">потенциально опасных приложений</a>. Проверка приложений включена по умолчанию на всех устройствах с <a href="http://www.android.com/gms">мобильными сервисами Google</a>. Она особенно важна, если пользователь устанавливает ПО из сторонних источников. Хотя в Google Play инструменты для рутинга запрещены, они могут встречаться в других магазинах. Если пользователь решает установить такое приложение, Проверка предупреждает об этом. Кроме того, она пытается идентифицировать известное вредоносное ПО, использующее уязвимость для повышения привилегий, и блокировать его установку. Если подобное ПО уже есть на устройстве, система уведомит об этом пользователя и попытается удалить приложение.
  </li><li> Приложения Google Hangouts и Messenger не передают медиафайлы таким процессам, как mediaserver, автоматически.
</li></ul>

<h2 id="acknowledgements">Благодарности</h2>

<p>Благодарим всех, кто помог обнаружить уязвимости:</p>

<ul>
  <li> Ди Шэнь (<a href="https://twitter.com/returnsme">@returnsme</a>) из KeenLab (<a href="https://twitter.com/keen_lab">@keen_lab</a>), Tencent: CVE-2016-2468.
  </li><li> <a href="http://bits-please.blogspot.com">Гэл Бениамини</a> (<a href="https://twitter.com/laginimaineb">@laginimaineb</a>): CVE-2016-2476.
  </li><li> Гэнцзя Чэнь (<a href="https://twitter.com/chengjia4574">@chengjia4574</a>) и pjf (<a href="http://weibo.com/jfpan">weibo.com/jfpan</a>) из IceSword Lab, Qihoo 360 Technology Co. Ltd.: CVE-2016-2492.
  </li><li> Хао Чэнь, Гуан Гун и Вэньлинь Ян из Mobile Safe Team, Qihoo 360 Technology Co. Ltd.: CVE-2016-2470, CVE-2016-2471, CVE-2016-2472, CVE-2016-2473, CVE-2016-2498.
  </li><li> <a href="http://www.iwobanas.com">Иво Банась</a>: CVE-2016-2496.
  </li><li> Цзяньцян Чжао (<a href="https://twitter.com/jianqiangzhao">@jianqiangzhao</a>) и pjf (<a href="http://weibo.com/jfpan">weibo.com/jfpan</a>) из IceSword Lab, Qihoo 360 Technology Co. Ltd.: CVE-2016-2490, CVE-2016-2491.
  </li><li> Ли Кэмпбелл из Google: CVE-2016-2500.
  </li><li> Мачей Шавловски из команды безопасности Google: CVE-2016-2474.
  </li><li> Марко Нелиссен и Макс Спектор из Google: CVE-2016-2487.
  </li><li> Марк Бренд из Google Project Zero: CVE-2016-2494.
  </li><li> Минцзянь Чжоу (<a href="https://twitter.com/Mingjian_Zhou">@Mingjian_Zhou</a>), Чиачи У (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) и Сюйсянь Цзян из <a href="http://c0reteam.org">C0RE Team</a>: CVE-2016-2477, CVE-2016-2478, CVE-2016-2479, CVE-2016-2480, CVE-2016-2481, CVE-2016-2482, CVE-2016-2483, CVE-2016-2484, CVE-2016-2485, CVE-2016-2486.
  </li><li> <a href="mailto:sbauer@plzdonthack.me">Скотт Бауэр</a> (<a href="https://twitter.com/ScottyBauer1">@ScottyBauer1</a>): CVE-2016-2066, CVE-2016-2061, CVE-2016-2465, CVE-2016-2469, CVE-2016-2489.
  </li><li> Василий Васильев: CVE-2016-2463.
  </li><li> Вэйчао Сунь (<a href="https://twitter.com/sunblate">@sunblate</a>) из Alibaba Inc.: CVE-2016-2495.
  </li><li> Силин Гун из отдела безопасности платформы Tencent: CVE-2016-2499.
  </li><li> Зак Риггл (<a href="https://twitter.com/ebeip90">@ebeip90</a>) из команды безопасности Android: CVE-2016-2493.
</li></ul>

<h2 id="security_vulnerability_details">Описание уязвимостей</h2>

<p>В этом разделе вы найдете подробную информацию обо всех уязвимостях, устраненных в обновлении системы безопасности 2016-06-01: описание и обоснование серьезности, таблицу с CVE, ссылкой на ошибку Android, уровнем серьезности, уязвимыми устройствами Nexus и версиями AOSP (при наличии), а также датой сообщения об ошибке.
Где возможно, мы приводим основную ссылку на сообщение в AOSP, связанное с идентификатором ошибки, и дополнительные ссылки в квадратных скобках.</p>

<h3 id="remote_code_execution_vulnerability_in_mediaserver">
Удаленное выполнение кода через mediaserver</h3>

<p>Уязвимость позволяет злоумышленнику с помощью специально созданного файла нарушить целостность информации в памяти при обработке медиафайлов и данных. Проблеме присвоен критический уровень серьезности из-за возможности удаленного выполнения кода в контексте процесса mediaserver. У него есть доступ к аудио- и видеопотокам, а также к разрешениям, закрытым для сторонних приложений.</p>

<p>Уязвимая функция является основной составляющей ОС. Многие приложения позволяют контенту, особенно MMS-сообщениям и воспроизводимым в браузере медиафайлам, дистанционно обращаться к ней.</p>
<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Обновленные версии AOSP</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2463</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/2b6f22dc64d456471a1dc6df09d515771d1427c8">27855419</a></td>
    <td>Критический</td>
    <td><a href="#nexus_devices">Все устройства</a></td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
    <td>25 марта 2016 г.</td>
 </tr>
</tbody></table>

<h3 id="remote_code_execution_vulnerabilities_in_libwebm">
Удаленное выполнение кода через libwebm</h3>

<p>Уязвимость позволяет злоумышленнику с помощью специально созданного файла нарушить целостность информации в памяти при обработке медиафайлов и данных. Проблеме присвоен критический уровень серьезности из-за возможности удаленного выполнения кода в контексте процесса mediaserver. У него есть доступ к аудио- и видеопотокам, а также к разрешениям, закрытым для сторонних приложений.</p>

<p>Уязвимая функция является основной составляющей ОС. Многие приложения позволяют контенту, особенно MMS-сообщениям и воспроизводимым в браузере медиафайлам, дистанционно обращаться к ней.</p>
<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Обновленные версии AOSP</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2464</td>
    <td><a href="https://android.googlesource.com/platform/external/libvpx/+/cc274e2abe8b2a6698a5c47d8aa4bb45f1f9538d">23167726</a> [<a href="https://android.googlesource.com/platform/external/libvpx/+/65c49d5b382de4085ee5668732bcb0f6ecaf7148">2</a>]
    </td>
    <td>Критический</td>
    <td><a href="#nexus_devices">Все устройства</a></td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
    <td>Доступно только сотрудникам Google</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_qualcomm_video_driver">
Повышение привилегий через видеодрайвер Qualcomm</h3>

<p>Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Ей присвоен критический уровень серьезности, поскольку из-за нее нарушается работа системы безопасности. Возможно, для устранения проблемы потребуется переустановить ОС.</p>
<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="27%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2465</td>
    <td>27407865*</td>
    <td>Критический</td>
    <td>Nexus 5, Nexus 5X, Nexus 6, Nexus 6P</td>
    <td>21 февраля 2016 г.</td>
 </tr>
</tbody></table>
<p>
*Исправление не опубликовано в AOSP. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation_of_privilege_vulnerability_in_qualcomm_sound_driver">
Повышение привилегий через аудиодрайвер Qualcomm</h3>

<p>Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Ей присвоен критический уровень серьезности, поскольку из-за нее нарушается работа системы безопасности. Возможно, для устранения проблемы потребуется переустановить ОС.</p>

<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="27%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2466</td>
    <td>27947307*</td>
    <td>Критический</td>
    <td>Nexus 6</td>
    <td>27 февраля 2016 г.</td>
 </tr>
 <tr>
    <td>CVE-2016-2467</td>
    <td>28029010*</td>
    <td>Критический</td>
    <td>Nexus 5</td>
    <td>13 марта 2014 г.</td>
 </tr>
</tbody></table>
<p>
*Исправление не опубликовано в AOSP. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation_of_privilege_vulnerability_in_qualcomm_gpu_driver">
Повышение привилегий через драйвер Qualcomm для графического процессора</h3>

<p>Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Ей присвоен критический уровень серьезности, поскольку из-за нее нарушается работа системы безопасности. Возможно, для устранения проблемы потребуется переустановить ОС.</p>

<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="27%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2468</td>
    <td>27475454*</td>
    <td>Критический</td>
    <td>Nexus 5, Nexus 5X, Nexus 6, Nexus 6P, Nexus 7</td>
    <td>2 марта 2016 г.</td>
 </tr>
 <tr>
    <td>CVE-2016-2062</td>
    <td>27364029*</td>
    <td>Критический</td>
    <td>Nexus 5X, Nexus 6P</td>
    <td>6 марта 2016 г.</td>
 </tr>
</tbody></table>
<p>
*Исправление не опубликовано в AOSP. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation_of_privilege_vulnerability_in_qualcomm_wi-fi_driver">
Повышение привилегий через Wi-Fi-драйвер Qualcomm</h3>

<p>Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Ей присвоен критический уровень серьезности, поскольку из-за нее нарушается работа системы безопасности. Возможно, для устранения проблемы потребуется переустановить ОС.</p>
<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="27%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2474</td>
    <td>27424603*</td>
    <td>Критический</td>
    <td>Nexus 5X</td>
    <td>Доступно только сотрудникам Google</td>
 </tr>
</tbody></table>
<p>
*Исправление не опубликовано в AOSP. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation_of_privilege_vulnerability_in_broadcom_wi-fi_driver">
Повышение привилегий через Wi-Fi-драйвер Broadcom</h3>

<p>Уязвимость позволяет локальному вредоносному ПО выполнять несанкционированные системные вызовы для изменения настроек и работы устройства. Проблеме присвоен высокий уровень серьезности, поскольку она позволяет получить дополнительные разрешения на устройстве.</p>
<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="27%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2475</td>
    <td>26425765*</td>
    <td>Высокий</td>
    <td>Nexus 5, Nexus 6, Nexus 6P, Nexus 7 (2013), Nexus 9, Nexus Player, Pixel C</td>
    <td>6 января 2016 г.</td>
 </tr>
</tbody></table>
<p>
*Исправление не опубликовано в AOSP. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation_of_privilege_vulnerability_in_qualcomm_sound_driver">
Повышение привилегий через аудиодрайвер Qualcomm</h3>

<p>Уязвимость позволяет вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту сервиса, вызывающего драйвер.</p>

<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="27%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2066</td>
    <td>26876409*</td>
    <td>Высокий</td>
    <td>Nexus 5, Nexus 5X, Nexus 6, Nexus 6P</td>
    <td>29 января 2016 г.</td>
 </tr>
 <tr>
    <td>CVE-2016-2469</td>
    <td>27531992*</td>
    <td>Высокий</td>
    <td>Nexus 5, Nexus 6, Nexus 6P</td>
    <td>4 марта 2016 г.</td>
 </tr>
</tbody></table>
<p>
*Исправление не опубликовано в AOSP. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation_of_privilege_vulnerability_in_mediaserver">
Повышение привилегий через mediaserver</h3>

<p>Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте системного приложения с расширенным доступом. Проблеме присвоен высокий уровень серьезности, поскольку из-за нее можно получить разрешения, недоступные сторонним приложениям (например, <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">Signature</a> и <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">SignatureOrSystem</a>).</p>

<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Обновленные версии AOSP</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2476</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/295c883fe3105b19bcd0f9e07d54c6b589fc5bff">27207275</a> [<a href="https://android.googlesource.com/platform/frameworks/av/+/94d9e646454f6246bf823b6897bd6aea5f08eda3">2</a>] [<a href="https://android.googlesource.com/platform/frameworks/av/+/0bb5ced60304da7f61478ffd359e7ba65d72f181">3</a>] [<a href="https://android.googlesource.com/platform/frameworks/av/+/db829699d3293f254a7387894303451a91278986">4</a>]
    </td>
    <td>Высокий</td>
    <td><a href="#nexus_devices">Все устройства</a></td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
    <td>11 февраля 2016 г.</td>
 </tr>
 <tr>
    <td>CVE-2016-2477</td>
    <td><a href="https://android.googlesource.com/platform/hardware/qcom/media/+/f22c2a0f0f9e030c240468d9d18b9297f001bcf0">27251096</a>
    </td>
    <td>Высокий</td>
    <td><a href="#nexus_devices">Все устройства</a></td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
    <td>17 февраля 2016 г.</td>
 </tr>
 <tr>
    <td>CVE-2016-2478</td>
    <td><a href="https://android.googlesource.com/platform/hardware/qcom/media/+/f22c2a0f0f9e030c240468d9d18b9297f001bcf0">27475409</a>
    </td>
    <td>Высокий</td>
    <td><a href="#nexus_devices">Все устройства</a></td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
    <td>3 марта 2016 г.</td>
 </tr>
 <tr>
    <td>CVE-2016-2479</td>
    <td><a href="https://android.googlesource.com/platform/hardware/qcom/media/+/46e305be6e670a5a0041b0b4861122a0f1aabefa">27532282</a>
    </td>
    <td>Высокий</td>
    <td><a href="#nexus_devices">Все устройства</a></td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
    <td>6 марта 2016 г.</td>
 </tr>
 <tr>
    <td>CVE-2016-2480</td>
    <td><a href="https://android.googlesource.com/platform/hardware/qcom/media/+/560ccdb509a7b86186fac0fce1b25bd9a3e6a6e8">27532721</a>
    </td>
    <td>Высокий</td>
    <td><a href="#nexus_devices">Все устройства</a></td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
    <td>6 марта 2016 г.</td>
 </tr>
 <tr>
    <td>CVE-2016-2481</td>
    <td><a href="https://android.googlesource.com/platform/hardware/qcom/media/+/89913d7df36dbeb458ce165856bd6505a2ec647d">27532497</a>
    </td>
    <td>Высокий</td>
    <td><a href="#nexus_devices">Все устройства</a></td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
    <td>6 марта 2016 г.</td>
 </tr>
 <tr>
    <td>CVE-2016-2482</td>
    <td><a href="https://android.googlesource.com/platform/hardware/qcom/media/+/46e305be6e670a5a0041b0b4861122a0f1aabefa">27661749</a>
    </td>
    <td>Высокий</td>
    <td><a href="#nexus_devices">Все устройства</a></td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
    <td>14 марта 2016 г.</td>
 </tr>
 <tr>
    <td>CVE-2016-2483</td>
    <td><a href="https://android.googlesource.com/platform/hardware/qcom/media/+/89913d7df36dbeb458ce165856bd6505a2ec647d">27662502</a>
    </td>
    <td>Высокий</td>
    <td><a href="#nexus_devices">Все устройства</a></td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
    <td>14 марта 2016 г.</td>
 </tr>
 <tr>
    <td>CVE-2016-2484</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/7cea5cb64b83d690fe02bc210bbdf08f5a87636f">27793163</a>
    </td>
    <td>Высокий</td>
    <td><a href="#nexus_devices">Все устройства</a></td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
    <td>22 марта 2016 г.</td>
 </tr>
 <tr>
    <td>CVE-2016-2485</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/7cea5cb64b83d690fe02bc210bbdf08f5a87636f">27793367</a>
    </td>
    <td>Высокий</td>
    <td><a href="#nexus_devices">Все устройства</a></td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
    <td>22 марта 2016 г.</td>
 </tr>
 <tr>
    <td>CVE-2016-2486</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/ad40e57890f81a3cf436c5f06da66396010bd9e5">27793371</a>
    </td>
    <td>Высокий</td>
    <td><a href="#nexus_devices">Все устройства</a></td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
    <td>22 марта 2016 г.</td>
 </tr>
 <tr>
    <td>CVE-2016-2487</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/918eeaa29d99d257282fafec931b4bda0e3bae12">27833616</a> [<a href="https://android.googlesource.com/platform/frameworks/av/+/d2f47191538837e796e2b10c1ff7e1ee35f6e0ab">2</a>] [<a href="https://android.googlesource.com/platform/frameworks/av/+/4e32001e4196f39ddd0b86686ae0231c8f5ed944">3</a>]
    </td>
    <td>Высокий</td>
    <td><a href="#nexus_devices">Все устройства</a></td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
    <td>Доступно только сотрудникам Google</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_qualcomm_camera_driver">
Повышение привилегий через драйвер Qualcomm для камеры</h3>

<p>Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту сервиса, вызывающего драйвер.</p>
<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="27%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2061</td>
    <td>27207747*</td>
    <td>Высокий</td>
    <td>Nexus 5X, Nexus 6P</td>
    <td>15 февраля 2016 г.</td>
 </tr>
 <tr>
    <td>CVE-2016-2488</td>
    <td>27600832*</td>
    <td>Высокий</td>
    <td>Nexus 5, Nexus 5X, Nexus 6, Nexus 6P, Nexus 7 (2013)</td>
    <td>Доступно только сотрудникам Google</td>
 </tr>
</tbody></table>
<p>
*Исправление не опубликовано в AOSP. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation_of_privilege_vulnerability_in_qualcomm_video_driver_2">
Повышение привилегий через видеодрайвер Qualcomm</h3>

<p>Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту сервиса, вызывающего драйвер.</p>
<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="27%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2489</td>
    <td>27407629*</td>
    <td>Высокий</td>
    <td>Nexus 5, Nexus 5X, Nexus 6, Nexus 6P</td>
    <td>21 февраля 2016 г.</td>
 </tr>
</tbody></table>
<p>
*Исправление не опубликовано в AOSP. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation_of_privilege_vulnerability_in_nvidia_camera_driver">
Повышение привилегий через драйвер NVIDIA для камеры</h3>

<p>Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту сервиса, вызывающего драйвер.</p>
<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="27%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2490</td>
    <td>27533373*</td>
    <td>Высокий</td>
    <td>Nexus 9</td>
    <td>6 марта 2016 г.</td>
 </tr>
 <tr>
    <td>CVE-2016-2491</td>
    <td>27556408*</td>
    <td>Высокий</td>
    <td>Nexus 9</td>
    <td>8 марта 2016 г.</td>
 </tr>
</tbody></table>
<p>
*Исправление не опубликовано в AOSP. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation_of_privilege_vulnerability_in_qualcomm_wi-fi_driver_2">
Повышение привилегий через Wi-Fi-драйвер Qualcomm</h3>

<p>Уязвимость позволяет вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту сервиса, вызывающего драйвер.</p>

<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="27%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2470</td>
    <td>27662174*</td>
    <td>Высокий</td>
    <td>Nexus 7 (2013)</td>
    <td>13 марта 2016 г.</td>
 </tr>
 <tr>
    <td>CVE-2016-2471</td>
    <td>27773913*</td>
    <td>Высокий</td>
    <td>Nexus 7 (2013)</td>
    <td>19 марта 2016 г.</td>
 </tr>
 <tr>
    <td>CVE-2016-2472</td>
    <td>27776888*</td>
    <td>Высокий</td>
    <td>Nexus 7 (2013)</td>
    <td>20 марта 2016 г.</td>
 </tr>
 <tr>
    <td>CVE-2016-2473</td>
    <td>27777501*</td>
    <td>Высокий</td>
    <td>Nexus 7 (2013)</td>
    <td>20 марта 2016 г.</td>
 </tr>
</tbody></table>
<p>
*Исправление не опубликовано в AOSP. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation_of_privilege_vulnerability_in_mediatek_power_management_driver">
Повышение привилегий через драйвер управления питанием MediaTek</h3>

<p>Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту устройства и получить root-права для вызова драйвера.</p>

<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="27%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2492</td>
    <td>28085410*</td>
    <td>Высокий</td>
    <td>Android One</td>
    <td>7 апреля 2016 г.</td>
 </tr>
</tbody></table>
<p>
*Исправление не опубликовано в AOSP. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation_of_privilege_vulnerability_in_sd_card_emulation_layer">
Повышение привилегий через уровень эмуляции SD-карты</h3>

<p>Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте системного приложения с расширенным доступом. Проблеме присвоен высокий уровень серьезности, поскольку из-за нее можно получить разрешения, недоступные сторонним приложениям (например, <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">Signature</a> и <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">SignatureOrSystem</a>).</p>

<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Обновленные версии AOSP</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2494</td>
    <td><a href="https://android.googlesource.com/platform/system/core/+/864e2e22fcd0cba3f5e67680ccabd0302dfda45d">28085658</a>
    </td>
    <td>Высокий</td>
    <td><a href="#nexus_devices">Все устройства</a></td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
    <td>7 апреля 2016 г.</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_broadcom_wi-fi_driver_2">
Повышение привилегий через Wi-Fi-драйвер Broadcom</h3>

<p>Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту сервиса, вызывающего драйвер.</p>
<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="27%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2493</td>
    <td>26571522*</td>
    <td>Высокий</td>
    <td>Nexus 5, Nexus 6, Nexus 6P, Nexus 7 (2013), Nexus Player, Pixel C</td>
    <td>Доступно только сотрудникам Google</td>
 </tr>
</tbody></table>
<p>
*Исправление не опубликовано в AOSP. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="remote_denial_of_service_vulnerability_in_mediaserver">
Удаленный отказ в обслуживании в mediaserver</h3>

<p>Уязвимость позволяет злоумышленнику выполнять перезагрузку или вызывать зависание устройства с помощью специально созданного файла. Проблеме присвоен высокий уровень серьезности, поскольку она приводит к отказу в обслуживании.</p>
<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Обновленные версии AOSP</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2495</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/45737cb776625f17384540523674761e6313e6d4">28076789</a> [<a href="https://android.googlesource.com/platform/frameworks/av/+/b57b3967b1a42dd505dbe4fcf1e1d810e3ae3777">2</a>]
    </td>
    <td>Высокий</td>
    <td><a href="#nexus_devices">Все устройства</a></td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
    <td>6 апреля 2016 г.</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_framework_ui">
Повышение привилегий через интерфейс Framework</h3>

<p>Уязвимость обнаружена в окне предоставления разрешений в интерфейсе Framework. Она позволяет получить несанкционированный доступ к файлам в личном хранилище. Проблеме присвоен средний уровень серьезности, поскольку из-за нее можно получить разрешения уровня <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">dangerous</a> (опасные).</p>
<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Обновленные версии AOSP</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2496</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/native/+/03a53d1c7765eeb3af0bc34c3dff02ada1953fbf">26677796</a> [<a href="https://android.googlesource.com/platform/frameworks/base/+/613f63b938145bb86cd64fe0752eaf5e99b5f628">2</a>] [<a href="https://android.googlesource.com/platform/packages/apps/PackageInstaller/+/2068c7997265011ddc5e4dfa3418407881f7f81e">3</a>]
    </td>
    <td>Средний</td>
    <td><a href="#nexus_devices">Все устройства</a></td>
    <td>6.0, 6.1</td>
    <td>26 мая 2015 г.</td>
 </tr>
</tbody></table>

<h3 id="information_disclosure_vulnerability_in_qualcomm_wi-fi_driver">
Раскрытие информации через Wi-Fi-драйвер Qualcomm</h3>

<p>Уязвимость позволяет локальному вредоносному ПО получать несанкционированный доступ к данным. Проблеме присвоен средний уровень серьезности, поскольку уязвимость требует сначала нарушить защиту сервиса, вызывающего драйвер.</p>
<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="27%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2498</td>
    <td>27777162*</td>
    <td>Средний</td>
    <td>Nexus 7 (2013)</td>
    <td>20 марта 2016 г.</td>
 </tr>
</tbody></table>
<p>
*Исправление не опубликовано в AOSP. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="information_disclosure_vulnerability_in_mediaserver">
Раскрытие информации через mediaserver</h3>

<p>Уязвимость позволяет ПО получить несанкционированный доступ к конфиденциальной информации. Из-за этого проблеме присвоен средний уровень серьезности.</p>
<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Обновленные версии AOSP</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2499</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/dd3546765710ce8dd49eb23901d90345dec8282f">27855172</a>
    </td>
    <td>Средний</td>
    <td><a href="#nexus_devices">Все устройства</a></td>
    <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
    <td>24 марта 2016 г.</td>
 </tr>
</tbody></table>

<h3 id="information_disclosure_vulnerability_in_activity_manager">
Раскрытие информации через диспетчер активности</h3>

<p>Уязвимость позволяет ПО получить несанкционированный доступ к конфиденциальной информации. Из-за этого проблеме присвоен средний уровень серьезности.</p>
<table>
  <colgroup><col width="19%" />
  <col width="16%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="16%" />
 </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ошибки Android</th>
    <th>Уровень серьезности</th>
    <th>Обновленные устройства Nexus</th>
    <th>Обновленные версии AOSP</th>
    <th>Дата сообщения об ошибке</th>
 </tr>
 <tr>
    <td>CVE-2016-2500</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/9878bb99b77c3681f0fda116e2964bac26f349c3">19285814</a>
    </td>
    <td>Средний</td>
    <td><a href="#nexus_devices">Все устройства</a></td>
    <td>5.0.2, 5.1.1, 6.0, 6.0.1</td>
    <td>Доступно только сотрудникам Google</td>
 </tr>
</tbody></table>

<h2 id="common_questions_and_answers">Часто задаваемые вопросы</h2>

<p>В этом разделе мы отвечаем на вопросы, которые могут возникнуть после прочтения бюллетеня.</p>

<p><strong>1. Как определить, установлено ли на устройство обновление, в котором устранены перечисленные проблемы?</strong></p>

<p>Перечисленные проблемы устранены в исправлении от 1 июня 2016 года или более новом. Информацию о том, как проверить обновления системы безопасности, можно найти в <a href="https://support.google.com/nexus/answer/4457705">Справочном центре</a>. Производители устройств, позволяющие установить эти обновления, должны присвоить им уровень [ro.build.version.security_patch]:[2016-06-01].</p>

<p id="nexus_devices"><strong>2. Как определить, на каких устройствах Nexus присутствует уязвимость?</strong></p>

<p>В каждой таблице из раздела <a href="#security_vulnerability_summary">Описание уязвимостей</a> есть столбец "Обновленные устройства Nexus". В нем указано, на каких устройствах присутствует уязвимость.</p>

<ul>
  <li> <strong>Все устройства.</strong> Проблема возникает на<em></em> следующих <a href="https://support.google.com/nexus/answer/4457705#nexus_devices">поддерживаемых устройствах Nexus</a>: Nexus 5, Nexus 5X, Nexus 6, Nexus 6P, Nexus 7 (2013), Nexus 9, Android One, Nexus Player и Pixel C.</li>
  <li> <strong>Некоторые устройства.</strong> <em></em>Перечислены устройства, на которых присутствует уязвимость.</li>
  <li> <strong>Нет.</strong> Проблема не возникает ни на одном устройстве Nexus.<em></em></li>
</ul>

<h2 id="revisions">Версии</h2>

<ul>
  <li> 6 июня 2016 года. Бюллетень опубликован.</li>
  <li>7 июня 2016 года.
    <ul>
      <li>Добавлены ссылки на AOSP.
      </li><li>Информация об уязвимости CVE-2016-2496 удалена из бюллетеня.
    </li></ul>
  </li>
  <li>8 июня 2016 года. Информация об уязвимости CVE-2016-2496 снова добавлена в бюллетень.</li>
</ul>

</body></html>